Skip to Content
author's profile photo Former Member
Former Member

Oracle 10g on RHEL 6.0

Hi All,

we are install sap EHP4 with oracle 10g on RHEL 6.0 . but when it stop for oracle installation, it generate error

Starting Oracle Universal Installer...

Checking installer requirements...

Checking operating system version: must be redhat-3, SuSE-9, redhat-4, UnitedLinux-1.0, asianux-1, asianux-2, redhat-5 or redhat-6

Passed

All installer requirements met.

Preparing to launch Oracle Universal Installer from /tmp/OraInstall2014-04-07_12-33-10PM. Please wait ...prdsap:oraprd 11> Oracle Universal Installer, Version 10.2.0.1.0 Production

Copyright (C) 1999, 2005, Oracle. All rights reserved.

current locale is not supported in X11, locale is set to CX locale modifiers are not supported, using defaultWarning: translation table syntax error: Unknown keysym name: osfActivate

Warning: ... found while parsing ':<Key>osfActivate: ManagerParentActivate()'

Warning: translation table syntax error: Unknown keysym name: osfCancel

Warning: ... found while parsing ':<Key>osfCancel: ManagerParentCancel()'

Warning: translation table syntax error: Unknown keysym name: osfSelect

Warning: ... found while parsing ':<Key>osfSelect: ManagerGadgetSel

Please guide how we can resolve it.

Regards

Imran Khan

Add comment
10|10000 characters needed characters exceeded

6 Answers

  • Best Answer
    author's profile photo Former Member
    Former Member
    Posted on Apr 07, 2014 at 10:02 AM


    Hello Imran,

    Oracle 10 and RED HAT 6 are incompatible.

    If you search in PAM, you will see this.

    You shoul install al least oracle 11.2

    The problem is the GlibC library of Red Hat , I recommend to NOT update it, as it is a core library.

    Antonietta


    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member

      Thanks ,

      We are installing SAP on SUSE 11 with oracle 10g, now it is working fine showing server RAM 48 GB and oracle 10G installation is in progress.

      Thanks again.

      Regards

      Khan

  • Posted on Apr 07, 2014 at 08:11 AM

    Hi,

    Have you set LANG envt var ?

    Try

    LANG=en_US.UTF-8

    export LANG

    Regards

    Add comment
    10|10000 characters needed characters exceeded

  • Posted on Apr 07, 2014 at 08:16 AM

    Hi Imran,

    Please share output of command locale -a.

    Also share output of java -version command

    Regards,

    Deepak Kori

    Add comment
    10|10000 characters needed characters exceeded

  • Posted on Apr 07, 2014 at 08:19 AM

    Hi Imran,

    Please check below SAP locales are installed in your system for RHEL 6

    • Red Hat Enterprise Linux 6 (RHEL 6)

      Available with: compat-locales-sap-common (as of Version 1.0.4-2)
      compat-locales-sap (gconv module) (as of Version 1.0.4-2)

      For the installation of the "compat-locales-sap" RPM packages, you require a "Red Hat Enterprise Linux for SAP Business Applications" subscription. This is available from your distributor.

    Refer SAP note 171356 - SAP software on Linux: General information

    187864 - Linux: Locale Support on Linux


    Hope this helps.


    Regards,

    Deepak Kori

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      Thanks ,

      require detail is below

      .........................................

      [root@prdsap SAP]# locale

      LANG=en_US.UTF-8

      LC_CTYPE="en_US.UTF-8"

      LC_NUMERIC="en_US.UTF-8"

      LC_TIME="en_US.UTF-8"

      LC_COLLATE="en_US.UTF-8"

      LC_MONETARY="en_US.UTF-8"

      LC_MESSAGES="en_US.UTF-8"

      LC_PAPER="en_US.UTF-8"

      LC_NAME="en_US.UTF-8"

      LC_ADDRESS="en_US.UTF-8"

      LC_TELEPHONE="en_US.UTF-8"

      LC_MEASUREMENT="en_US.UTF-8"

      LC_IDENTIFICATION="en_US.UTF-8"

      LC_ALL=

      [root@prdsap SAP]#

      [root@prdsap SAP]# locale -a |more

      aa_DJ

      aa_DJ.iso88591

      aa_DJ.utf8

      aa_ER

      aa_ER@saaho

      aa_ER.utf8

      aa_ER.utf8@saaho

      aa_ET

      aa_ET.utf8

      af_ZA

      af_ZA.iso88591

      af_ZA.utf8

      am_ET

      am_ET.utf8

      an_ES

      an_ES.iso885915

      an_ES.utf8

      ar_AE

      ar_AE.iso88596

      ar_AE.utf8

      ar_BH

      ar_BH.iso88596

      ar_BH.utf8

      ar_DZ

      ar_DZ.iso88596

      ar_DZ.utf8

      ar_EG

      ar_EG.iso88596

      ar_EG.utf8

      ar_IN

      ar_IN.utf8

      ar_IQ

      ar_IQ.iso88596

      ar_IQ.utf8

      ar_JO

      ar_JO.iso88596

      ar_JO.utf8

      ar_KW

      ar_KW.iso88596

      ar_KW.utf8

      ar_LB

      ar_LB.iso88596

      ar_LB.utf8

      ar_LY

      ar_LY.iso88596

      ar_LY.utf8

      ar_MA

      ar_MA.iso88596

      aa_DJ.iso88591

      aa_DJ.utf8

      aa_ER

      aa_ER@saaho

      aa_ER.utf8

      aa_ER.utf8@saaho

      aa_ET

      aa_ET.utf8

      af_ZA

      af_ZA.iso88591

      af_ZA.utf8

      am_ET

      am_ET.utf8

      an_ES

      an_ES.iso885915

      an_ES.utf8

      ar_AE

      ar_AE.iso88596

      ar_AE.utf8

      ar_BH

      ar_BH.iso88596

      ar_BH.utf8

      ar_DZ

      ar_DZ.iso88596

      ar_DZ.utf8

      ar_EG

      ar_EG.iso88596

      ar_EG.utf8

      ar_IN

      ar_IN.utf8

      ar_IQ

      ar_IQ.iso88596

      ar_IQ.utf8

      ar_JO

      ar_JO.iso88596

      ar_JO.utf8

      ar_KW

      ar_KW.iso88596

      ar_KW.utf8

      ar_LB

      ar_LB.iso88596

      ar_LB.utf8

      ar_LY

      ar_LY.iso88596

      ar_LY.utf8

      ar_MA

      ar_MA.iso88596

      ar_MA.utf8

      aa_DJ.utf8

      aa_ER

      aa_ER@saaho

      aa_ER.utf8

      aa_ER.utf8@saaho

      aa_ET

      aa_ET.utf8

      af_ZA

      af_ZA.iso88591

      af_ZA.utf8

      am_ET

      am_ET.utf8

      an_ES

      an_ES.iso885915

      an_ES.utf8

      ar_AE

      ar_AE.iso88596

      ar_AE.utf8

      ar_BH

      ar_BH.iso88596

      ar_BH.utf8

      ar_DZ

      ar_DZ.iso88596

      ar_DZ.utf8

      ar_EG

      ar_EG.iso88596

      ar_EG.utf8

      ar_IN

      ar_IN.utf8

      ar_IQ

      ar_IQ.iso88596

      ar_IQ.utf8

      ar_JO

      ar_JO.iso88596

      ar_JO.utf8

      ar_KW

      ar_KW.iso88596

      ar_KW.utf8

      ar_LB

      ar_LB.iso88596

      ar_LB.utf8

      ar_LY

      ar_LY.iso88596

      ar_LY.utf8

      ar_MA

      ar_MA.iso88596

      ar_MA.utf8

      ar_OM

      aa_ER@saaho

      aa_ER.utf8

      aa_ER.utf8@saaho

      aa_ET

      aa_ET.utf8

      af_ZA

      af_ZA.iso88591

      af_ZA.utf8

      am_ET

      am_ET.utf8

      an_ES

      an_ES.iso885915

      an_ES.utf8

      ar_AE

      ar_AE.iso88596

      ar_AE.utf8

      ar_BH

      ar_BH.iso88596

      ar_BH.utf8

      ar_DZ

      ar_DZ.iso88596

      ar_DZ.utf8

      ar_EG

      ar_EG.iso88596

      ar_EG.utf8

      ar_IN

      ar_IN.utf8

      ar_IQ

      ar_IQ.iso88596

      ar_IQ.utf8

      ar_JO

      ar_JO.iso88596

      ar_JO.utf8

      ar_KW

      ar_KW.iso88596

      ar_KW.utf8

      ar_LB

      ar_LB.iso88596

      ar_LB.utf8

      ar_LY

      ar_LY.iso88596

      ar_LY.utf8

      ar_MA

      ar_MA.iso88596

      ar_MA.utf8

      ar_OM

      ar_OM.iso88596

      ......

      ...

      ...

      yi_US

      yi_US.cp1255

      yi_US.utf8

      yo_NG

      yo_NG.utf8

      zh_CN

      zh_CN.gb18030

      zh_CN.gb2312

      zh_CN.gbk

      zh_CN.utf8

      zh_HK

      zh_HK.big5hkscs

      zh_HK.utf8

      zh_SG

      zh_SG.gb2312

      zh_SG.gbk

      zh_SG.utf8

      zh_TW

      zh_TW.big5

      zh_TW.euctw

      zh_TW.utf8

      zu_ZA

      zu_ZA.iso88591

      zu_ZA.utf8

      ...............................

      ...............................................................

  • author's profile photo Former Member
    Former Member
    Posted on Apr 07, 2014 at 08:45 AM

    Check that you have installed libX11-common package.

    Add comment
    10|10000 characters needed characters exceeded

  • author's profile photo Former Member
    Former Member
    Posted on Apr 07, 2014 at 09:49 AM

    Hi Imran,

    Try to set env variable LC_ALL= en_US.UTF-8 & retry the installation again.Also confirm required rpm packages for the installation.

    Thanks,

    Gaurav

    Add comment
    10|10000 characters needed characters exceeded